Gets the error code

- « Error::getPrevious

- Error::getFile »

- PHP Manual
- Error
- Gets the error code

# Error::getCode

(PHP 7, PHP 8)

Error::getCode — Gets the error code

### Description

final public Error::getCode(): int

Returns the error code.

### Parameters

This function has no parameters.

### Return Values

Returns the error code as int

### Examples

Example #1 Error::getCode() example

    <?phptry {    throw new Error("Some error message", 30);} catch(Error $e) {    echo "The Error code is: " . $e->getCode();}?>

The above example will output something similar to:

    The Error code is: 30

### See Also

- Throwable::getCode() - Gets the exception code